\documentclass{standalone}

\usepackage{tikz}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}, scale=0.75]
\clip(-8.5,0.5) rectangle (0.5,8.5);
\draw [line width=1.5pt] (-8,1)-- (-2,1);
\draw [line width=1.5pt] (-2,1)-- (-2,6);
\draw [line width=1.5pt] (-2,6)-- (-8,6);
\draw [line width=1.5pt] (-8,6)-- (-8,1);
\draw [line width=1.5pt] (-2,1)-- (0,3);
\draw [line width=1.5pt] (0,3)-- (0,8);
\draw [line width=1.5pt] (0,8)-- (-2,6);
\draw [line width=1.5pt] (-8,6)-- (-6,8);
\draw [line width=1.5pt] (-6,8)-- (0,8);
\draw [line width=1.5pt,mydashed] (-6,8)-- (-6,3);
\draw [line width=1.5pt,mydashed] (-6,3)-- (-8,1);
\draw [line width=1.5pt,mydashed] (-6,3)-- (0,3);
\draw [line width=1.5pt,mydashed] (0,8)-- (-8,1);
\draw [line width=1.5pt,mydashed] (0,3)-- (-8,1);
\draw (-5,0.75) node[anchor=center] {$6cm$};
\draw (0.25,5.5) node[anchor=center, rotate=90] {$5,1cm$};
\draw (-0.75,1.75) node[anchor=center, rotate=45] {$3,2cm$};
\draw[color=black] (-8.25,0.75) node {$H$};
\draw[color=black] (-1.75,0.75) node {$G$};
\draw[color=black] (-1.75,5.75) node {$C$};
\draw[color=black] (-8.25,6.25) node {$D$};
\draw[color=black] (0.25,2.75) node {$F$};
\draw[color=black] (0.25,8.25) node {$B$};
\draw[color=black] (-6.25,3.25) node {$E$};
\draw[color=black] (-6.25,8.25) node {$A$};
\end{tikzpicture}
\end{document}